Name:		fio
Version:	2.17
Release:	%mkrel 1
Summary:	A flexible I/O tester/benchmarker
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://git.kernel.dk/?p=fio.git;a=summary
Source0:	https://fossies.org/linux/misc/%{name}-%{version}.tar.gz
BuildRequires:	libaio-devel

%description
fio is an I/O tool meant to be used both for benchmark and
stress/hardware verification.
It has support for 9 different types of I/O engines
(sync, mmap, libaio, posixaio, SG v3, splice, null, network, syslet),
I/O priorities (for newer Linux kernels), rate I/O, forked or
threaded jobs, and much more. It can work on block devices as well
as files. fio accepts job descriptions in a simple-to-understand
text format. Several example job files are included. fio displays
all sorts of I/O performance information.
It supports Linux, FreeBSD, and OpenSolaris.

%prep
%setup -q

%build
%make_build

%install
%make_install prefix=%{_prefix} mandir=%{_mandir}

%files
%doc HOWTO README COPYING REPORTING-BUGS
%doc examples
%{_bindir}/fio
%{_bindir}/fio_generate_plots
%{_bindir}/fio-btrace2fio
%{_bindir}/fio-dedupe
%{_bindir}/fio-genzipf
%{_bindir}/fio-verify-state
%{_bindir}/fio2gnuplot
%{_bindir}/fio_latency2csv.py
%{_bindir}/fiologparser.py
%{_bindir}/fiologparser_hist.py
%{_bindir}/genfio
%dir %{_datadir}/fio
%{_datadir}/fio/graph2D.gpm
%{_datadir}/fio/graph3D.gpm
%{_datadir}/fio/math.gpm
%{_mandir}/man1/*


%changelog
* Sun Feb 05 2017 daviddavid <daviddavid> 2.17-1.mga6
+ Revision: 1084874
- new version: 2.17
- fix ownership of data dir
- fix license

* Tue Oct 04 2016 ghibo <ghibo> 2.14-1.mga6
+ Revision: 1058305
- Update to version 2.14

* Mon Feb 08 2016 umeabot <umeabot> 2.05-6.mga6
+ Revision: 942938
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.05-5.mga5
+ Revision: 747883
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.05-4.mga5
+ Revision: 679199
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.05-3.mga4
+ Revision: 504436
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.05-2.mga3
+ Revision: 350366
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 03 2012 dams <dams> 2.05-1.mga2
+ Revision: 217503
- new version 2.0.5
- clean spec file

* Wed Jan 19 2011 erwan <erwan> 1.41-1.mga1
+ Revision: 24646
- imported package fio

